# Samba Server in Ubuntu
Ubuntu erlaubt Filesharing Server installieren mit Samba

### Samba Installieren
```bash
    sudo apt-get update
    sudo apt-get install samba
```

## Samba Konfiguration

### Verzeichnis Erstellen
Vor wir beginnen brauchen wir ein verzeichnis um zu Teilen

ersetzen sie `$USER` mit ihren benutzername
```bash
    mkdir /home/$USER/samba
```

`mkdir` wird ein neues Verzeichnis Erstellen

### Konfigurationdatei
öffnen sie die Samba Konfigurationdatei mit nano oder vim

```bash
    sudo nano /etc/samba/smb.conf
```

Machen sie eine Neue eintrage im ende des Datei

ersetzen sie $USER mit ihren benutzername
```
    [myShare]
    comment = Melik's Samba Share
    path /home/$USER/samba
    read only = no
    browsable = yes
```

### Samba Benutzer Erstellen
Samba benutzt ein Seperates passwort für benutzer

```bash
sudo smbpasswd -a $USER
```

geben sie ein ihres neues Password


# Verbinden zum Samba durch Windows Explorer

windows wird fileSharing und network Sharing automatisch auschalten, schalten sie es an


![explorerWarnung](images/explorerWarning.png)


Geben sie Ein die IP addresse vom server zbsp `\\192.168.100.101\`

es soll so aussehen

![share](images/share.png)

